All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::SortedArray< T > Struct Template Reference

## Public Member Functions

| SortedArray (int N)
void | init (const T *x)
T | get_0 ()
T | get_diff (int n)
int | get_ord (int n)

## Public Attributes

const T * | x
int | N
std::vector< int > | perm

## Detailed Description

### template<typename T>
struct faiss::SortedArray< T >

Array that maintains a permutation of its elements so that the array's elements are sorted

Definition at line 488 of file IndexPQ.cpp.

The documentation for this struct was generated from the following file:

- IndexPQ.cpp